Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling
Class SchedulingReportDeleteListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.RepositoryEventListenerSupport
          com.jaspersoft.jasperserver.api.engine.scheduling.SchedulingReportDeleteListener

All Implemented Interfaces:
  RepositoryEventListener

    public class SchedulingReportDeleteListener

extends RepositoryEventListenerSupport

Version:
  $Id: SchedulingReportDeleteListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`SchedulingReportDeleteListener()`

Method Summary
`ReportSchedulingInternalService` | `getSchedulingService()`
`void` | `onResourceDelete(java.lang.Class resourceItf, java.lang.String resourceURI)`
`void` | `setSchedulingService(ReportSchedulingInternalService schedulingService)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.RepositoryEventListenerSupport
`onFolderDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulingReportDeleteListener

    public SchedulingReportDeleteListener()

Method Detail

### onResourceDelete

    public void onResourceDelete(java.lang.Class resourceItf,
                                 java.lang.String resourceURI)

  Specified by:
    `onResourceDelete` in interface `RepositoryEventListener`
  Overrides:
    `onResourceDelete` in class `RepositoryEventListenerSupport`

### getSchedulingService

    public ReportSchedulingInternalService getSchedulingService()

### setSchedulingService

    public void setSchedulingService(ReportSchedulingInternalService schedulingService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.